Raritan PX2/PX3 JSON-RPC API: pdumodel::Outlet_2_1_5 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::Outlet_2_1_5 Interface Reference

Outlet interface More...

`import"Outlet.idl";`

Inheritance diagram for pdumodel::Outlet_2_1_5:

## Classes
struct | LedState
| Outlet LED state More...
struct | MetaData
| Outlet metadata More...
struct | Sensors
| Outlet sensors More...
struct | Settings
| Outlet settings More...
struct | State
| Outlet state More...

## Public Types
enum | PowerState { PS_OFF, PS_ON }
| Outlet power state. More...
enum | StartupState { SS_ON, SS_OFF, SS_LASTKNOWN, SS_PDUDEF }
| Outlet power state on device startup More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the outlet metadata. More...
Sensors | getSensors ()
| Get the outlet sensors. More...
State | getState ()
| Retrieve the outlet state. More...
int | setPowerState (in PowerState pstate)
| Switch the outlet. More...
int | cyclePowerState ()
| Power-cycle the outlet. More...
Settings | getSettings ()
| Retrieve the outlet settings. More...
int | setSettings (in Settings settings)
| Change the outlet settings. More...
void | getIOP (out Inlet_2_0_4 i, out OverCurrentProtector_3_0_4 o, out vector< Pole_5_0_0 > p)
| Get inlet, overcurrent protector and poles. More...
Controller_4_0_1 | getController ()
| Get the controller for this outlet. More...
int | unstick ()
| Trigger an attempt to un-stick sticking relay contacts. More...
Public Member Functions inherited from pdumodel::EDevice
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device. More...
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device. More...

## Public Attributes
constant int | ERR_OUTLET_NOT_SWITCHABLE = 1
| Outlet is not switchable.
constant int | ERR_LOAD_SHEDDING_ACTIVE = 2
| Load-shedding is enabled (deprecated)
constant int | ERR_OUTLET_DISABLED = 3
| Outlet is disabled.
constant int | ERR_OUTLET_NOT_OFF = 4
| Outlet is on or in power-cylce; unstick not possible.
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
valueobject | PowerControlEvent: event::UserEvent { PowerState state
| Event: Power control was initiated. More...
boolean | cycle
| Whether the outlet was cycled.
valueobject | StateChangedEvent: idl::Event { State oldState
| Event: Outlet state has changed. More...
State | newState
| State after change.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Outlet settings have been changed. More...
Settings | newSettings
| Settings after change.

## Detailed Description

Outlet interface

## Member Enumeration Documentation

## ◆ PowerState

enum pdumodel::Outlet_2_1_5::PowerState

Outlet power state.

Used both for switching and representing the current state

Enumerator
PS_OFF | Switch off / Power is off.
PS_ON | Switch on / Power is on.

## ◆ StartupState

enum pdumodel::Outlet_2_1_5::StartupState

Outlet power state on device startup

Enumerator
SS_ON | Outlet will be switched on
SS_OFF | Outlet will be switched off
SS_LASTKNOWN | Last known power state will be restored.
SS_PDUDEF | Use default state as defined in PDU settings.

## Member Function Documentation

## ◆ cyclePowerState()

int pdumodel::Outlet_2_1_5::cyclePowerState | ( |  | ) |

Power-cycle the outlet.

Returns
  0 if OK
  1 if the outlet is not switchable
  3 if the outlet is disabled

## ◆ getController()

Controller_4_0_1 pdumodel::Outlet_2_1_5::getController | ( |  | ) |

Get the controller for this outlet.

Returns
  Slave controller reference

## ◆ getIOP()

void pdumodel::Outlet_2_1_5::getIOP | ( | out Inlet_2_0_4 | i,
|  | out OverCurrentProtector_3_0_4 | o,
|  | out vector< Pole_5_0_0 > | p
| ) |  |

Get inlet, overcurrent protector and poles.

Parameters

  i | Result: Inlet reference
  o | Result: Overcurrent protector reference
  p | Result: List of poles

## ◆ getMetaData()

MetaData pdumodel::Outlet_2_1_5::getMetaData | ( |  | ) |

Retrieve the outlet metadata.

Returns
  Outlet metadata

## ◆ getSensors()

Sensors pdumodel::Outlet_2_1_5::getSensors | ( |  | ) |

Get the outlet sensors.

Returns
  Outlet sensors

## ◆ getSettings()

Settings pdumodel::Outlet_2_1_5::getSettings | ( |  | ) |

Retrieve the outlet settings.

Returns
  Outlet settings

## ◆ getState()

State pdumodel::Outlet_2_1_5::getState | ( |  | ) |

Retrieve the outlet state.

Returns
  Outlet state

## ◆ setPowerState()

int pdumodel::Outlet_2_1_5::setPowerState | ( | in PowerState | pstate | ) |

Switch the outlet.

Parameters

  pstate | New power state

Returns
  0 if OK
  1 if the outlet is not switchable
  3 if the outlet is disabled

## ◆ setSettings()

int pdumodel::Outlet_2_1_5::setSettings | ( | in Settings | settings | ) |

Change the outlet settings.

Parameters

  settings | New outlet settings

Returns
  0 if OK
  1 if any parameters are invalid

## ◆ unstick()

int pdumodel::Outlet_2_1_5::unstick | ( |  | ) |

Trigger an attempt to un-stick sticking relay contacts.

Tries repairing relay contacts that are sticked together due to wear by switching the relay in a certain pattern. Prior to running this method, the outlet must be in 'off' state to acknowledge that loads were disconnected.

Returns
  0 if unsticking was triggered successfully
  1 if outlet is not switchable
  3 if the outlet is disabled
  4 if relay is in a power cycle or on

## Member Data Documentation

## ◆ PowerControlEvent

valueobject pdumodel::Outlet_2_1_5::PowerControlEvent

Event: Power control was initiated.

State the outlet was switched to (if cycle is false)

## ◆ SettingsChangedEvent

valueobject pdumodel::Outlet_2_1_5::SettingsChangedEvent

Event: Outlet settings have been changed.

Settings before change

## ◆ StateChangedEvent

valueobject pdumodel::Outlet_2_1_5::StateChangedEvent

Event: Outlet state has changed.

State before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Outlet.idl